#include "TestUiApplication.h"

#include "MainApplication.h"
#include "DesktopManager.h"

TestUiApplication::TestUiApplication(std::unique_ptr<CommandLineArgs> args, std::unique_ptr<MainApplication> mainApp)
    : GuiApplication(std::move(args), std::move(mainApp))
{

}

DesktopManager* TestUiApplication::getDesktopManager() const
{
    return mDesktopManager.get();
}

Scene* TestUiApplication::getMainWindowScene() const
{
    return mDesktopManager->getWindowManager()->getMainWindow()->getScene();
}